<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file name='/etc/eole/ldapconf.conf'/>
        <file name='/var/lib/eole/00_seth.ldif'/>
        <file name='/var/lib/eole/01_seth_index.ldif'/>
        <file name='/var/lib/eole/02_scribe.ldif'/>
	<file name='/usr/share/ead2/backend/config/actions/actions_scribe.cfg'/>
    </files>
    <containers>
        <container name='annuaire' id='10'>
        </container>
        <container name='fichier' id='12'>
        </container>
    </containers>
    <variables>
        <family name='Services'>
            <variable name='activer_sso' redefine="True">
                <value>local</value>
            </variable>
        </family>
        <family name='Annuaire'>
            <variable name='adresse_ip_ldap' redefine="True"/>
            <variable name='ldap_tls' redefine="True">
                <value>oui</value>
            </variable>
            <variable name='ldap_member_group_attribute' redefine="True">
                <value>member</value>
            </variable>
            <variable name='ldap_match_attribute' redefine="True">
                <value>cn</value>
            </variable>
            <variable name='ldap_base_dn' redefine="True" remove_check="True"/>
            <variable name="ldap_reader" redefine="True"/>
            <variable name='ldap_reader_passfile' redefine="True">
                <value>/etc/eole/private/eole-workstation-reader.password</value>
            </variable>
        </family>
        <family name='eole sso'>
            <variable name='eolesso_ldap_match_attribute' redefine="True">
                <value>cn</value>
            </variable>
            <variable name='eolesso_ldap_use_tls' redefine="True">
                <value>oui</value>
            </variable>
            <variable name='eolesso_ldap_reader' redefine="True"/>
            <variable name='eolesso_ldap_reader_passfile' redefine="True"/>
        </family>
        <family name='Active Directory'>
            <variable name='openldap_installed' type='oui/non' hidden='True'>
                <value>non</value>
            </variable>
            <variable name='ad_enum_users_groups' redefine='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_wide_link' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_hide_desktop' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_remove_oplocks' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_domain_admin_are_admin' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_allow_execute' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_trace_connect_disconnect' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_deadtime' redefine='True' hidden='True'>
                <value>15</value>
            </variable>
            <variable name='base_dn' type='string'/>
            <variable name='smb_min_password_length' redefine="True"><value>8</value></variable>
            <variable name='smb_min_password_class' redefine="True"><value>3</value></variable>
	    <variable name='home_path' hidden='True'>
		    <value>/home</value>
	    </variable>
            <variable name='ad_home_share_with_domain_prefix' redefine='True' hidden='True'>
                <value>non</value>
            </variable>
            <variable name='ad_local' type='oui/non' exists='False' hidden="True">
                <value>oui</value>
            </variable>

        </family>
        <family name="samba">
            <variable name="ead_support_multietab" type="oui/non" description="Support du multi-établissement" hidden='True'>
                <value>non</value>
            </variable>
        </family>
        <family name="services">
            <variable name="activer_workstation_manager" type="oui/non" description="Activer le service de gestion des postes clients" hidden="True" exists="False">
                <value>non</value>
            </variable>
        </family>

    </variables>
    <constraints>
        <auto name="dn_from_realm" target='base_dn'>
            <param type='eole'>ad_realm</param>
        </auto>
        <auto name='calc_val' target='ldap_base_dn'>
            <param type="eole">base_dn</param>
        </auto>
        <fill name='calc_val' target='eolesso_ldap_reader'>
            <param type="eole">ldap_reader</param>
        </fill>
        <fill name='calc_val' target='eolesso_ldap_reader_passfile'>
            <param type="eole">ldap_reader_passfile</param>
        </fill>
        <fill name='calc_val' target='eolesso_ad_domain'>
            <param type="eole">ad_realm</param>
        </fill>
        <fill name='calc_val' target='eolesso_ad_server'>
            <param type="eole" optional='True'>nom_serveur_krb</param>
        </fill>
        <auto name='calc_val' target='ad_enum_users_groups'>
            <param>oui</param>
        </auto>
        <auto name='concat' target='ldap_reader'>
            <param>CN=eole-workstation-reader,CN=Users,</param>
            <param type="eole">base_dn</param>
        </auto>
        <fill name='calc_multi_condition' target='adresse_ip_ldap'>
            <param>controleur de domaine</param>
            <param type='eole' name='condition_1'>ad_server_role</param>
            <param type='eole' name='match'>adresse_ip_eth0</param>
            <param name='default_mismatch'>None</param>
        </fill>
        <condition name='disabled_if_in' source='openldap_installed'>
            <param>non</param>
            <target type='filelist'>ad_local</target>
        </condition>
    </constraints>
</creole>

